package com.example.request;

import org.eclipse.gef.SharedCursors;
import org.eclipse.gef.Tool;
import org.eclipse.gef.palette.ToolEntry;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.swt.graphics.RGB;

/**
 * @author zhanghao
 *
 */
public class ChangeColorToolEntry extends ToolEntry {
	private RGB color;

	public ChangeColorToolEntry(RGB color, String label, String shortDesc, ImageDescriptor iconSmall,
			ImageDescriptor iconLarge) {
		super(label, shortDesc, iconSmall, iconLarge);
		this.color = color;
	}

	@Override
	public Tool createTool() {
		ChangeColorTool tool = new ChangeColorTool(color);
		tool.setUnloadWhenFinished(false);//Switch to selection tool after performed?
		tool.setDefaultCursor(SharedCursors.CROSS);//Any cursor you like
		return tool;
	}

}
